﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	public class Coliner extends Sprite
	{
		private var angle:Number = 0;
		private var path:Array;
		private var pathHeight:Number;
		private var image:BitmapData;
		private var c_trs:ColorTransform = new ColorTransform (1, 1, 1, 0.9);
		private var support:Sprite = new Sprite();
		public function Coliner()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void{
			addChild (new Bitmap (image = new BitmapData(stage.stageWidth, stage.stageHeight,false,0x000000)));
			this.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			support.graphics.clear();
			support.graphics.moveTo(0,stage.stageHeight-posy);
			var mX:Number = stage.stageWidth/2-mouseX;
			var mY:Number = stage.stageHeight/2-mouseY;
			var color:Number = Math.random()*0xff0000;
			for(var i:Number=0;i<stage.stageWidth;i++){
				var posy:Number =Math.sqrt(Math.sin((i+angle+20/10)*Math.PI/180)*Math.cos(i*Math.PI/180)*(stage.stageWidth/2-i)*(mX*mY/100));
				support.graphics.lineStyle(20,0x00ddff);
				support.graphics.lineTo(i*1.2,stage.stageHeight-340+posy);
			}
			angle+=5;
			image.colorTransform (image.rect, c_trs);
			image.scroll (-10, -1);
			image.draw(support);
		}
	}
}